%define oversion	121

Name:		eureka
Version:	1.21
Release:	%mkrel 1
Summary:	A cross-platform map editor for the classic DOOM games
Group:		Editors
License:	GPLv2
URL:		http://eureka-editor.sourceforge.net/
Source0:	http://sourceforge.net/projects/eureka-editor/files/Eureka/%{version}/%{name}-%{oversion}-source.tar.gz
Patch0:		eureka-1.21-Makefile.patch
BuildRequires:	fltk-devel
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(xft)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(gl)

%description
Eureka is a cross-platform map editor for the classic DOOM games.

It started when the ported the Yadex editor to a proper GUI toolkit, namely
FLTK, and implemented a system for multi-level Undo / Redo. These and other
features have required rewriting large potions of the existing code, and adding
lots of new code too. Eureka is now an independent program with its own
work-flow and its own quirks.

%prep
%setup -q -n %{name}-%{version}-source
%autopatch -p1

%build
%make_build OPTIMISE="%{optflags}"

%install
%make_install

%files
%doc AUTHORS.txt CHANGES.txt README.txt TODO.txt docs/*
%license GPL.txt
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%{_mandir}/man6/%{name}.6.*


%changelog
* Sun Jan 15 2017 daviddavid <daviddavid> 1.21-1.mga6
+ Revision: 1081851
- new version: 1.21
- rename and rebase Makefile patch

* Tue Jan 26 2016 daviddavid <daviddavid> 1.11-1.mga6
+ Revision: 927949
- new version: 1.11
- rename and rediff Makefile patch

* Mon Nov 09 2015 daviddavid <daviddavid> 1.07-1.mga6
+ Revision: 900022
- imported package eureka

